summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--README.md5
-rw-r--r--larbs.sh16
-rw-r--r--progs.csv6
3 files changed, 16 insertions, 11 deletions
diff --git a/README.md b/README.md
index de45c2c..96738c4 100644
--- a/README.md
+++ b/README.md
@@ -20,7 +20,7 @@ and minimal terminal-and-vim-based Arch Linux environment.
LARBS was originally intended to be run on a fresh install of Arch Linux, and
provides you with a fully configured diving-board for work or more
customization. But LARBS also works on already configured systems *and* other
-Arch-based distros such as Manjaro, Antergos and Parabola (although Parabola,
+Arch-based distros such as Manjaro and Parabola (although Parabola,
which uses slightly different repositories might miss one or two minor
programs).
@@ -43,7 +43,8 @@ that the programs file must be a three column `.csv`.
The first column is a "tag" that determines how the program is installed, ""
(blank) for the main repository, `A` for via the AUR or `G` if the program is a
-git repository that is meant to be `make && sudo make install`ed.
+git repository that is meant to be `make && sudo make install`ed. `V`if it's for
+the void linux distribution's xbps package manager.
The second column is the name of the program in the repository, or the link to
the git repository, and the third comment is a description (should be a verb
diff --git a/larbs.sh b/larbs.sh
index f1202f7..0383a10 100644
--- a/larbs.sh
+++ b/larbs.sh
@@ -71,7 +71,7 @@ adduserandpass() { \
dialog --infobox "Adding user \"$name\"..." 4 50
useradd -m -g wheel -s /bin/bash "$name" >/dev/null 2>&1 ||
usermod -a -G wheel "$name" && mkdir -p /home/"$name" && chown "$name":wheel /home/"$name"
- repodir="/home/$name/.local/src"; mkdir -p "$repodir"; chown -R "$name":wheel "$repodir"
+ repodir="/home/$name/.local/src"; mkdir -p "$repodir"; chown -R "$name":wheel $(dirname "$repodir")
echo "$name:$pass1" | chpasswd
unset pass1 pass2 ;}
@@ -101,7 +101,7 @@ maininstall() { # Installs all needed programs from main repo.
}
gitmakeinstall() {
- progname="$(basename "$1")"
+ progname="$(basename "$1" .git)"
dir="$repodir/$progname"
dialog --title "LARBS Installation" --infobox "Installing \`$progname\` ($n of $total) via \`git\` and \`make\`. $(basename "$1") $2" 5 70
sudo -u "$name" git clone --depth 1 "$1" "$dir" >/dev/null 2>&1 || { cd "$dir" || return ; sudo -u "$name" git pull --force origin master;}
@@ -191,7 +191,7 @@ installpkg git
installpkg ntp
dialog --title "LARBS Installation" --infobox "Synchronizing system time to ensure successful and secure installation of software..." 4 70
-ntp 0.us.pool.ntp.org >/dev/null 2>&1
+ntpdate 0.us.pool.ntp.org >/dev/null 2>&1
[ "$distro" = arch ] && { \
[ -f /etc/sudoers.pacnew ] && cp /etc/sudoers.pacnew /etc/sudoers # Just in case
@@ -233,11 +233,13 @@ sed -i "s/^$name:\(.*\):\/bin\/.*/$name:\1:\/bin\/zsh/" /etc/passwd
dbus-uuidgen > /var/lib/dbus/machine-id
# Block Brave autoupdates just in case. (I don't know if these even exist on Linux, but whatever.)
-grep -q "laptop-updates.brave.com" /etc/hosts || echo "0.0.0.0 laptop-updates.brave.com
-0.0.0.0 go-updater.brave.com" >> /etc/hosts
+grep -q "laptop-updates.brave.com" /etc/hosts || echo "0.0.0.0 laptop-updates.brave.com" >> /etc/hosts
-# Let LARBS know the WM it's supposed to run.
-echo "$edition" > "/home/$name/.local/share/larbs/wm"; chown -R "$name":wheel "/home/$name/.local"
+# If user chose i3, start i3 on startx by default.
+[ "$edition" = "i3" ] && sed -i "s/^exec dwm/# exec dwm/;s/^#\s*exec i3/exec i3/;s/#\s*export STATUSBAR=\"\?i3blocks\"\?/export STATUSBAR=\"i3blocks\"/" "/home/$name/.xinitrc"
+
+# Start/restart PulseAudio.
+killall pulseaudio; sudo -u "$name" pulseaudio --start
# This line, overwriting the `newperms` command above will allow the user to run
# serveral important commands, `shutdown`, `reboot`, updating, etc. without a password.
diff --git a/progs.csv b/progs.csv
index 625f1d2..974eb5d 100644
--- a/progs.csv
+++ b/progs.csv
@@ -40,7 +40,9 @@ A,brave-bin,"is an elegant browser with built-in adblocking, tor and other featu
,noto-fonts-emoji,"is an emoji font."
V,font-symbola,"provides unicode and emoji symbols."
,ntfs-3g,"allows accessing NTFS partitions."
-,alsa-utils,"is an audio interface for ALSA."
+,pulseaudio-alsa,"is the audio system."
+,pulsemixer,"is an audio controler."
+,pamixer,"is a command-line audio interface."
A,sc-im,"is an Excel-like terminal spreadsheet manager."
,maim,"can take quick screenshots at your request."
,socat,"is a socket utility."
@@ -49,7 +51,7 @@ A,sc-im,"is an Excel-like terminal spreadsheet manager."
V,unclutter-xfixes,"hides an inactive mouse."
,unrar,"extracts rar's."
,unzip,"unzips zips."
-,lynx,"is a terminal browser which can also view images."
+,lynx,"is a terminal browser."
,xcape,"gives the special escape/super mappings of LARBS."
,xclip,"allows for copying and pasting from the command line."
,xdotool,"provides window action utilities on the command line."